# 环境配置
spring:
  datasource:
    url: jdbc:mysql://172.17.5.16:32743/xyqb
    username: qa
    password: qatest
    driver-class-name: com.mysql.jdbc.Driver
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      break-after-acquire-failure: true   # 连接失败后不重试
      connection-error-retry-attempts: 1
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
  redis:
    host: 172.17.5.5
    port: 32236
    database: 0
    password:
    jedis:
      pool:
        max-active: 8
        max-wait: -1
        max-idle: 8
  application:
    name: qa-platform

server:
  port: 8082

# mybatis-plus 配置
mybatis-plus:
  mapper-locations: classpath:mapper/*/*.xml
  type-aliases-package: cn.qg.qaplatform.*.entity
  configuration:
    map-underscore-to-camel-case: true

# pagehelper
pagehelper:
  helper-dialect: mysql
  reasonable: true
  support-methods-arguments: true
  params: count=countSql

# 日志配置
#logging:
#  level:
#    root: info
#    cn.qg.qaplatform: info
#  file:
#    name: /home/quant_group/logs/qa-platform.log
